List Related Contact Method Types
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactMethod/RelatedTypes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactMethod/RelatedTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod/RelatedTypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod/RelatedTypes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactMethod/RelatedTypes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
"<string>",
"<string>"
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
List Related Contact Method Types
Returns only the contact method types related to the type you pass in name. Use it when you need the alternatives for one kind of contact method rather than the full list.
GET
/
api
/
ContactMethod
/
RelatedTypes
List Related Contact Method Types
Last modified on August 11, 2026
Was this page helpful?
⌘I